<?php
/* Mantenimiento de los registros de la tabla ALM_TransaccionDetalle redefinidos por el usaurio */
class ALM_TransaccionDetalleDP extends BaseALM_TransaccionDetalleDP
{
    public function deleteDetail()
    {
        $o_ALM_TransaccionDetalleFN = new ALM_TransaccionDetalleFN();
        if ( $o_ALM_TransaccionDetalleFN )
        {
            $s_SQLQuery = "DELETE FROM ALM_TransaccionDetalle WHERE  IdCompania = ".$this->getIdCompania()." AND  NumeroDocumento = '".$this->getIdNumeroDocumento()."' AND  IdTipoDocumento = '".$this->getIdTipoDocumento()."';";
            Conexion::getConexion()->createStatement()->executeQuery( $s_SQLQuery );
        }
        else
        {
            throw new Exception( "El id no esta registrado." );
        }
        return true;
    }
}
?>